I have Flash PPAPI 26.0.0.151 on Windows 10 and Brave 0.18.22


#1

I am unable to run XFinity in Brave, though it works in Chrome, Edge and Firefox. I am given this error:

Flash compatibility issue
XFINITY Stream requires a more recent version of Flash.
Minimum required version: 15.0.0.152
Detected version: 11.2.999
Please update to the latest version of Flash and ensure your browser has Flash enabled.
Download the latest version of Flash
How to enable Flash in your browser.

If I go to Adobe to download Flash, it is again the same version. The only version of Flash I have installed is the PPAPI version. I want to use Brave, but for some reason, I am unable to get past this hurdle.

Thank you.

[edit] In fact, trying to download the correct version of Flash the page is unresponsive. I can’t open System Requirements or use the “Install” button. The checkboxes to eliminate the download of MacAfee and the Intel Key thingie do respond, but nothing else on the page does.


#2

Brave should detect whichever version of Flash you have installed as it is not a browser-specific element. If the page is unresponsive in Brave, you may need to turn shields off (clicking on the lion menu in the upper right).

In an effort to be transparent, I should also note that Flash fixes in general are going to be lower in priority. Adobe has announced their plan to retire Flash so I would also encourage all users to contact the publishers they enjoy and ask for them to update their platforms appropriately : https://blogs.adobe.com/conversations/2017/07/adobe-flash-update.html


#3

Alex, thanks for getting back to me so quickly. I have turned shields off on both the xfinity tv site and on the adobe download page. Unfortunately, it’s not working for me. This is also true on two different Mac’s I’m using - 2x15" MacBook Pro. I want to use Brave, but my entertainment is streamed, so I have to use something else. They are EOL on Flash in 2020, but in the meantime, there are a lot of sites that depend on it.

Again, thanks for getting back to me.